classification
Title: asyncio.async deprecation warning is missing stacklevel=2
Type: behavior Stage: resolved
Components: asyncio Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mariatta, gvanrossum, methane, python-dev, r.david.murray, yselivanov
Priority: normal Keywords: patch

Created on 2017-01-18 20:07 by r.david.murray, last changed 2017-02-07 07:00 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue29314.patch Mariatta, 2017-01-21 07:09 review
Messages (8)
msg285750 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2017-01-18 20:07
Title pretty much says it all.  The warning isn't very helpful currently, since it just reports the line in tasks.py where the deprecation warning is generated.
msg285941 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-01-21 07:09
Attached patch adds stacklevel=2 to the deprecation warning.
msg286043 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2017-01-23 03:11
LGTM.
msg287196 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-07 06:06
New changeset 0f5161f865d7 by Mariatta Wijaya in branch '3.5':
Issue #29314: Set the stacklevel to two in asyncio.async() Deprecation Warning
https://hg.python.org/cpython/rev/0f5161f865d7

New changeset 6dbe9051cdec by Mariatta Wijaya in branch '3.6':
Issue #29314: Merge with 3.5
https://hg.python.org/cpython/rev/6dbe9051cdec

New changeset 9f16900bebaa by Mariatta Wijaya in branch 'default':
Issue #29314: Merge with 3.6
https://hg.python.org/cpython/rev/9f16900bebaa
msg287197 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-07 06:08
Thanks all :)
msg287200 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-07 07:00
New changeset 00c949c7c3a3eed27a0b320d320097f630eb8fc5 by Mariatta Wijaya in branch 'master':
Issue #29314: Set the stacklevel to two in asyncio.async() Deprecation Warning
https://github.com/python/cpython/commit/00c949c7c3a3eed27a0b320d320097f630eb8fc5

New changeset 22fce50aa151160540326001ace1e0826f6323a1 by Mariatta Wijaya in branch 'master':
Issue #29314: Merge with 3.5
https://github.com/python/cpython/commit/22fce50aa151160540326001ace1e0826f6323a1

New changeset 2ef05ee4f1c721732918c8839b0b3ac5f1c807a7 by Mariatta Wijaya in branch 'master':
Issue #29314: Merge with 3.6
https://github.com/python/cpython/commit/2ef05ee4f1c721732918c8839b0b3ac5f1c807a7
msg287201 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-07 07:00
New changeset 00c949c7c3a3eed27a0b320d320097f630eb8fc5 by Mariatta Wijaya in branch '3.6':
Issue #29314: Set the stacklevel to two in asyncio.async() Deprecation Warning
https://github.com/python/cpython/commit/00c949c7c3a3eed27a0b320d320097f630eb8fc5

New changeset 22fce50aa151160540326001ace1e0826f6323a1 by Mariatta Wijaya in branch '3.6':
Issue #29314: Merge with 3.5
https://github.com/python/cpython/commit/22fce50aa151160540326001ace1e0826f6323a1
msg287202 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-07 07:00
New changeset 00c949c7c3a3eed27a0b320d320097f630eb8fc5 by Mariatta Wijaya in branch '3.5':
Issue #29314: Set the stacklevel to two in asyncio.async() Deprecation Warning
https://github.com/python/cpython/commit/00c949c7c3a3eed27a0b320d320097f630eb8fc5
History
Date User Action Args
2017-02-07 07:00:29python-devsetmessages: + msg287202
2017-02-07 07:00:27python-devsetmessages: + msg287201
2017-02-07 07:00:24python-devsetmessages: + msg287200
2017-02-07 06:08:08Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg287197

stage: commit review -> resolved
2017-02-07 06:06:38python-devsetnosy: + python-dev
messages: + msg287196
2017-01-23 03:11:53methanesetstage: needs patch -> commit review
2017-01-23 03:11:19methanesetnosy: + methane
messages: + msg286043
2017-01-21 07:09:48Mariattasetfiles: + issue29314.patch

nosy: + Mariatta
messages: + msg285941

keywords: + patch
2017-01-18 20:08:03r.david.murraysetnosy: + yselivanov, gvanrossum

type: behavior
components: + asyncio
stage: needs patch
2017-01-18 20:07:47r.david.murraycreate